Name:           js-jquery
Version:        2.1.1
Release:        2%{?dist}
Summary:        JavaScript DOM manipulation, event handling, and AJAX library
BuildArch:      noarch

%global ver_x %(echo %{version} | cut -d. -f1)
%global ver_y %(echo %{version} | cut -d. -f2)
%global ver_z %(echo %{version} | cut -d. -f3)

License:        MIT     
URL:            http://jquery.com/
Source0:        https://github.com/jquery/jquery/archive/%{version}/%{name}-%{version}.tar.gz

# disable gzip-js during build
Patch1:         %{name}-disable-gzip-js.patch

BuildRequires:  web-assets-devel
BuildRequires:  nodejs-packaging
BuildRequires:  js-sizzle-static

Provides:       jquery = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

BuildRequires:  nodejs-grunt >= 0.4.4-3
BuildRequires:  npm(shelljs)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(requirejs)

Requires:       web-assets-filesystem

%description
jQuery is a fast, small, and feature-rich JavaScript library. It makes things
like HTML document traversal and manipulation, event handling, animation, and 
Ajax much simpler with an easy-to-use API that works across a multitude of 
browsers. With a combination of versatility and extensibility, jQuery has 
changed the way that millions of people write JavaScript.

%prep
%setup -qn jquery-%{version}
%patch1 -p1

#remove precompiled stuff
rm -rf dist/* src/sizzle

#put sizzle where jquery expects it
install -Dp %{_jsdir}/sizzle/latest/sizzle.js src/sizzle/dist/sizzle.js


%build
%nodejs_symlink_deps --build
grunt -v 'build:*:*' uglify


# missing dependencies
#%%check
#grunt


%install
%global inslibdir %{buildroot}%{_jsdir}/jquery

mkdir -p %{inslibdir}/%{version}
cp -p dist/* %{inslibdir}/%{version}

mkdir -p %{buildroot}%{_webassetdir}
ln -s ../javascript/jquery %{buildroot}%{_webassetdir}/jquery

ln -s %{version} %{inslibdir}/latest
ln -s %{version} %{inslibdir}/%{ver_x}
ln -s %{version} %{inslibdir}/%{ver_x}.%{ver_y}

ln %{inslibdir}/%{version}/jquery.js %{inslibdir}/jquery.js
ln %{inslibdir}/%{version}/jquery.min.js %{inslibdir}/jquery.min.js
ln %{inslibdir}/%{version}/jquery.min.map %{inslibdir}/jquery.min.map
ln %{inslibdir}/%{version}/jquery.js %{inslibdir}/jquery-%{ver_x}.js
ln %{inslibdir}/%{version}/jquery.min.js %{inslibdir}/jquery-%{ver_x}.min.js
ln %{inslibdir}/%{version}/jquery.min.map %{inslibdir}/jquery-%{ver_x}.min.map
ln %{inslibdir}/%{version}/jquery.js %{inslibdir}/jquery-%{ver_x}.%{ver_y}.js
ln %{inslibdir}/%{version}/jquery.min.js %{inslibdir}/jquery-%{ver_x}.%{ver_y}.min.js
ln %{inslibdir}/%{version}/jquery.min.map %{inslibdir}/jquery-%{ver_x}.%{ver_y}.min.map
ln %{inslibdir}/%{version}/jquery.js %{inslibdir}/jquery-%{version}.js
ln %{inslibdir}/%{version}/jquery.min.js %{inslibdir}/jquery-%{version}.min.js
ln %{inslibdir}/%{version}/jquery.min.map %{inslibdir}/jquery-%{version}.min.map


%files
%{_jsdir}/jquery
%{_webassetdir}/jquery
%doc AUTHORS.txt CONTRIBUTING.md MIT-LICENSE.txt README.md


%changelog
* Sat May 31 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-2
- drop sed hack now that grunt is fixed

* Fri May 30 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-1
- update to 2.1.1
- use system packages for build (with help from Jamie Nguyen)

* Wed Mar 19 2014 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.0-0.1
- initial package
